import xhiveframework


def execute():
	install_apps = xhiveframework.get_installed_apps()
	if "xhiveerp_datev_uo" in install_apps or "xhiveerp_datev" in install_apps:
		return

	# doctypes
	xhiveframework.delete_doc("DocType", "DATEV Settings", ignore_missing=True, force=True)

	# reports
	xhiveframework.delete_doc("Report", "DATEV", ignore_missing=True, force=True)
